Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class ConfigurableEntityPk

    java.lang.Object
      |
      +--com.bea.p13n.property.ConfigurableEntityPk

Direct Known Subclasses:
  CustomerPk

public class ConfigurableEntityPk
extends java.lang.Object
implements java.io.Serializable

Primary key class for Configurable Entity EJB's

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `identifier`

Constructor Summary
`ConfigurableEntityPk()` Default constructor.
`ConfigurableEntityPk(java.lang.String identifier)` Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(java.lang.Object o)` Implements the compareTo method.
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()` override the hashCode() method
`java.lang.String` | `toString()` Returns the stringified version of the key class.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

Constructor Detail

### ConfigurableEntityPk

    public ConfigurableEntityPk()

  Default constructor.

### ConfigurableEntityPk

    public ConfigurableEntityPk(java.lang.String identifier)

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

### toString

    public java.lang.String toString()

  Returns the stringified version of the key class.

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  override the hashCode() method

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved